<?php
/*
Plugin Name: Seo-Without-Category. Измененная версия.
Plugin URI: http://mywordpress.ru/plugins/seo-without-category/
Description: Исправлено: ссылка на подрубрику не ведет к ошибке 404 Not Found. Этот плагин удаляет слово 'category' из красивых постоянных ссылок (category-style). Так, если вы установили постоянные ссылки вида /%category%/%postname%/ или /%category%/%postname%.html, ваши ссылки на рубрики были такие http://tsamada.com.ua/category/subcategory/. Теперь ваши ссылки рубрик станут такими http://tsamada.com.ua/subcategory/. Автор оригинальной версии: Sergei Volkov aka Volkman <serg@megalith.ru>.
Author: Valery Iskorostensky <tsamada@tsamada.com.ua>
Contributor: Valery Iskorostensky <tsamada@tsamada.com.ua>
Author URI: http://tsamada.com.ua/
Version: 1.0
*/ 

function seo_category_delete($catlink1) {
	$cut_cat=substr($catlink1,0,strlen($catlink1)-1);
	return get_option('home').substr($cut_cat,strrpos($cut_cat,'/')).'/';
}

function seo_category_delete_rewrite_rules($catlinks) {
	return array_merge(array("/(.*)/page/([0-9]+)?/?$" => "index.php?cat=\$matches[1]&paged=\$matches[2]"), $catlinks);
}

add_filter('category_link', 'seo_category_delete', 1, 1);
add_filter('rewrite_rules_array', 'seo_category_delete_rewrite_rules', 1, 1);
?>
